Notifications
For authentication instructions, see API overview.
Endpoints
get
List all notifications
Returns a list of notifications. The notifications are returned in sorted order, with the most recent appearing first.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notificationsResponse
No response schemaget
Retrieve notifications
Returns a single notification, which you can request by passing through an id in the url.
Query parameters
modelstringModel of the notification
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/notifications/findResponse
No response schemaput
Update read app
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/app-notificationsResponse
No response schemaget
Retrieve app notifications
Returns a single app notification, which you can request by passing through an id in the url.
Path parameters
idstringID of the notification
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/app-notifications/:idResponse
No response schemaput
Update app notifications
Path parameters
idstringID of the notification
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/app-notifications/:id